utl::common_impl::__common_ref_< T &, U &&, meta::void_t< __common_ref< T &, const U & >, meta::when< ConvertibleTo< U &&, __common_ref< T &, const U & > > > > > Struct Template Reference

`#include <stl.h>`

## Public Types

using | type = __common_ref< T &, const U & >

## Detailed Description

### template<class T, class U>
struct utl::common_impl::__common_ref_< T &, U &&, meta::void_t< __common_ref< T &, const U & >, meta::when< ConvertibleTo< U &&, __common_ref< T &, const U & > > > > >

Definition at line 171 of file stl.h.

## Member Typedef Documentation

## type

template<class T , class U >

using utl::common_impl::__common_ref_< T &, U &&, meta::void_t< __common_ref< T &, const U & >, meta::when< ConvertibleTo< U &&, __common_ref< T &, const U & > > > > >::type = __common_ref<T&, const U&>

Definition at line 174 of file stl.h.

The documentation for this struct was generated from the following file:

- include/utl/concepts/stl.h